Receipts

The receipts resource.

Basehttps://rest.carbon.ms/receipts
GET/receipts

List receiptss

Retrieve a paginated list of receiptss. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/receipts
curl --request GET \
  --url 'https://rest.carbon.ms/receipts?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "receiptId": "xyz789",
    "locationId": "xyz789",
    "sourceDocument": "string",
    "sourceDocumentId": "xyz789",
    "sourceDocumentReadableId": "xyz789",
    "externalDocumentId": "xyz789",
    "supplierId": "xyz789"
  }
]
GET/receipts

Retrieve a receipts

Fetch a single receipts by filtering on `id`.

Query parameters

idstring

Match on the receipts's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/receipts
curl --request GET \
  --url 'https://rest.carbon.ms/receipts?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "receiptId": "xyz789",
  "locationId": "xyz789",
  "sourceDocument": "string",
  "sourceDocumentId": "xyz789",
  "sourceDocumentReadableId": "xyz789",
  "externalDocumentId": "xyz789",
  "supplierId": "xyz789"
}